/*****************************************************************************/
/*       $Revision: 1.1 $                                                    */
/*                                                                           */
/*       $Id: dLib.i,v 1.1 2004/02/11 11:54:35 pny Exp $      */
/*                                                                           */
/*****************************************************************************/

#define temp    r12
#define temp1   r12
#define dequal  r11
#define temp2   r10

#if __LITTLE_ENDIAN__ == 1

#define dXL     r0
#define dXH     r1
#define dYL     r2
#define dYH     r3

#else

#define dXL     r1
#define dXH     r0
#define dYL     r3
#define dYH     r2

#endif
  
#define dXexp    r4
#define dXmantL  r5
#define dXmantH  r6

#define dYexp    r7
#define dYmantL  r8
#define dYmantH  r9

#define ret      r0


#define MSB      0x80000000        
#define dNaNmask 0xFFE00000

// Length of mantissa
#define dM_BITS   52                
// Length of mantissa in High byte
#define dM_BITS_H 20                
// Length of exponent
#define dE_BITS   11                

// Max value of exponent
#define dExpMax  (dNaNmask>>(dM_BITS_H+1))
// Exponent bias
#define dBIAS    ((dExpMax-1)/2)


/*******************************************************
*
*   save and restore registers used in less lessequal
*
*******************************************************/
#define dINIT_CMP  stmdb SP!,{temp2, dequal, LR}     ;Save registers

dEXIT_CMP  macro
          ldmia SP!,{temp2, dequal, LR}
          bx    LR
          ENDM

/*******************************************************
*
*   save and restore registers used in add sub mul div
*
*******************************************************/
#define dINIT_LIB  stmdb SP!,{r4 - r10,lr}    ;Save registers

dEXIT_LIB  macro 
          ldmia SP!,{r4 - r10,lr} ;restore registers
          bx    LR
          ENDM


#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif
