/* Low-level debugger interface to the "rename" function. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include "__dbg_.h"
#include <stdio.h>

#pragma cspy_support = io
#pragma module_name = "?rename"

typedef struct __Debug__RenameParams
{
  char const *mOldName;
  char const *mNewName;
  int mReturnStatus;
} __Debug__RenameParams;

int rename(const char *oldname, const char *newname)
{
  /* Rename a file. */
  __Debug__RenameParams p;
  p.mOldName = oldname;
  p.mNewName = newname;
  __DebugBreak(__DebugRename, &p);

  return p.mReturnStatus;
}
