/* feof function */
#include "xstdio.h"

#if _DLIB_FILE_DESCRIPTOR

_STD_BEGIN

int (feof)(FILE *str)
	{	/* test end-of-file indicator for a stream */
	int mode;

	_Lockfileatomic(str);
	mode = str->_Mode & _MEOF;
	_Unlockfileatomic(str);
	return (mode);
	}
_STD_END

#endif /* _DLIB_FILE_DESCRIPTOR */

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
