/* fopen function */
#include "xstdio.h"

#if _DLIB_FILE_DESCRIPTOR

_STD_BEGIN

FILE *(fopen)(const char *name, const char *mods)
	{	/* open a file, given name */
	FILE *str;

	_Locksyslock(_LOCK_STREAM);
	str = _Foprep(name, mods, _Fofind(), _FD_INVALID);
	_Unlocksyslock(_LOCK_STREAM);
	return (str);
	}
_STD_END

#endif /* _DLIB_FILE_DESCRIPTOR */

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
