/* tmpfile function */
#include <stdlib.h>
#include <string.h>
#include "xstdio.h"

#if _DLIB_FILE_DESCRIPTOR

_STD_BEGIN

FILE *(tmpfile)(void)
	{	/* open a temporary file */
	FILE *str;
	char fn[L_tmpnam], *s;

	_Lockfileatomic(str);
	if ((str = fopen((const char *)tmpnam(fn), "wb+")) == 0)
		;
	else if ((s = (char *)malloc(sizeof (fn) + 1)) == 0)
		fclose(str), str = 0;
	else
		str->_Tmpnam = strcpy(s, fn);
	_Unlockfileatomic(str);
	return (str);
	}
_STD_END

#endif /* _DLIB_FILE_DESCRIPTOR */

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
