/* wctype function */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */
#include <yvals.h>
#include <string.h>
#include <wctype.h>

_STD_BEGIN

static char const * const wctype_tab[] =
{
  "alnum",
  "alpha",
  "cntrl",
  "digit",
  "graph",
  "lower",
  "print",
  "punct",
  "space",
  "upper",
  "xdigit"
};

wctype_t (wctype)(char const * name)
{    /* find classification for wide character */
  wctype_t n;

  for (n = 0; n < sizeof(wctype_tab)/sizeof(wctype_tab[0]); ++n)
  {
    if (strcmp(name, wctype_tab[n]) == 0)
    {
      break;
    }
  }
  return n;
}
