/* _SNProut function */
#include <string.h>
#include "xstdio.h"
_STD_BEGIN

#if _DLIB_PRINTF_CHAR_BY_CHAR
void * _SNProut(void *s, char c)
{	/* write to string */
  _SNProutInfo *p = (_SNProutInfo *)s;

  ++p->count;

  if (p->size > 0)
  {
    *(p->s++) = c;
    --p->size;
  }
  return s;
}
#else
void * _SNProut(void *s, const char *buf, size_t n)
{	/* write to string */
  _SNProutInfo *p = (_SNProutInfo *)s;

  p->count += n;

  if (p->size < n)
    n = p->size;	/* write only what fits in string */
  memcpy(p->s, buf, n);
  p->s += n;
  p->size -= n;
  return s;
}
#endif

_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
