/* fwscanf function */
#include "xwstdio.h"

#if _DLIB_FILE_DESCRIPTOR

_STD_BEGIN

int (fwscanf)(FILE *str, const wchar_t *fmt, ...)
	{	/* read formatted from wide stream */
	int ans;
	va_list ap;

	va_start(ap, fmt);
	_Lockfileatomic(str);
	ans = _WScanf(&_WFScin, str, fmt, &ap);
	_Unlockfileatomic(str);
	va_end(ap);
	return (ans);
	}
_STD_END

#endif /* _DLIB_FILE_DESCRIPTOR */
/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
