/* memcpy function */
#include <yvals.h>
#ifdef _STRING_MORE_INLINES
#define _NO_DEFINITIONS_IN_HEADER_FILES
#endif

#include <string.h>
_STD_BEGIN

void *(memcpy)(void *s1, const void *s2, size_t n)
	{	/* copy char s2[n] to s1[n] in any order */
	char *su1 = (char *)s1;
	const char *su2 = (const char *)s2;

	for (; 0 < n; ++su1, ++su2, --n)
		*su1 = *su2;
	return (s1);
	}
_STD_END

/*
* Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
