/* putwchar function */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */
#include "xwstdio.h"
_STD_BEGIN

#if _DLIB_FILE_DESCRIPTOR

wint_t (putwchar)(wchar_t c)
	{	/* put character to wide stdout */
	return (fputwc(c, stdout));
	}

#else

#include <yfuns.h>

wint_t (putwchar)(wchar_t c)
{	/* put character to wide stdout */
  int n;
  char buf[MB_LEN_MAX];
  struct _Mbstatet state = {0};

  n = _Wctomb(buf, c, &state);
  if (n < 0)
  {
    return WEOF;
  }

  if (__write(_LLIO_STDOUT, (unsigned char const *)buf, n) == _LLIO_ERROR)
  {
    return WEOF;
  }

  return c;
}

#endif /* _DLIB_FILE_DESCRIPTOR */

_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
