/* strpbrk function */
#include <yvals.h>
#define _NO_DEFINITIONS_IN_HEADER_FILES

#include <string.h>
_STD_BEGIN

char *(strpbrk)(const char *s1, const char *s2)
	{
	return _Strpbrk(s1, s2);
	}

char *_Strpbrk(const char *s1, const char *s2)
	{	/* find index of first s1[i] that matches any s2[] */
	const char *sc1, *sc2;

	for (sc1 = s1; *sc1 != '\0'; ++sc1)
		for (sc2 = s2; *sc2 != '\0'; ++sc2)
			if (*sc1 == *sc2)
				return ((char *)sc1);
	return (0);	/* terminating nulls match */
	}
_STD_END

/*
* Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
