/* tmpnam function */
#include <stdlib.h>
#include <string.h>
#include "xstdio.h"
_STD_BEGIN

#if L_tmpnam < 13
#error "BAD ASSUMPTION ABOUT L_tmpnam"
#endif


char *(tmpnam)(char *s)
	{	/* create a temporary file name */
	char *p;
	int i;
	unsigned short t;
	static char buf[L_tmpnam] = {0};
	static unsigned short seed = 0;

	_Locksyslock(_LOCK_MALLOC);
	if (s == 0)
		s = buf;
	++seed;
	strcpy(s, "ctm");
	i = 5;
	p = s + strlen(s) + i;
	strcpy(p, ".tmp");

	for (t = seed; 0 <= --i; t >>= 3)
		*--p = '0' + (t & 07);
	_Unlocksyslock(_LOCK_MALLOC);
	return (s);
	}
_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
