/* ungetc function */
#include "xstdio.h"

#if _DLIB_FILE_DESCRIPTOR

_STD_BEGIN

int (ungetc)(int c, FILE *str)
	{	/* push character back on stream */
	_Lockfileatomic(str);
	if (c == EOF
		|| str->_Rback <= str->_Back
		|| (str->_Mode & (_MOPENR | _MWRITE | _MWIDE))
			!= _MOPENR)
		c = EOF;
	else
		{	/* pushback permitted, do it */
		str->_Mode = str->_Mode & ~_MEOF | (_MREAD | _MBYTE);
		if (str->_Rsave == 0)
			str->_Rsave = str->_Rend, str->_Rend = str->_Buf;
		*--str->_Rback = c;
		}
	_Unlockfileatomic(str);
	return (c);
	}
_STD_END

#endif /* _DLIB_FILE_DESCRIPTOR */

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
