/* vfprintf function */
#include "xstdio.h"

#if _DLIB_FILE_DESCRIPTOR

_STD_BEGIN

int (vfprintf)(FILE *str, const char *fmt,
	va_list ap)
	{	/* print formatted to stream from arg list */
	int ans;

	_Lockfileatomic(str);
	ans = _Printf(&_FProut, str, fmt, &ap);
	_Unlockfileatomic(str);
	return (ans);
	}
_STD_END

#endif /* _DLIB_FILE_DESCRIPTOR */

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
