/* wprintf function */
#include "xwstdio.h"
_STD_BEGIN

int (wprintf)(const wchar_t *fmt, ...)
	{	/* print formatted to wide stdout */
	int ans;
	va_list ap;

	va_start(ap, fmt);
#if _DLIB_FILE_DESCRIPTOR
	ans = _WPrintf(&_WProut, stdout, fmt, &ap);
#else
	ans = _WPrintf(&_WProut, (void *)1, fmt, &ap);
#endif
	va_end(ap);
	return (ans);
	}
_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
