/* _Files data object */
#include "xstdio.h"

_STD_BEGIN

#if _DLIB_FILE_DESCRIPTOR

/* standard error buffer */
static unsigned char ebuf[80] = {0};

#ifdef _DLIB_STDOUT_USES_STATIC_BUFFER
/* standard output buffer */
static unsigned char obuf[80] = {0};
#endif /* _DLIB_STDOUT_USES_STATIC_BUFFER */

/* the standard streams */
FILE _Stdin = {	/* standard input */
        /* IAR want stdin to be line buffered. 
           Note that we can't incease buffer because __read don't
           know that it is a line buffered stream. */
	_MOPENR | _MLBF, 0, 0,
	&_Stdin._Cbuf, &_Stdin._Cbuf + 1, &_Stdin._Cbuf,
	&_Stdin._Cbuf, &_Stdin._Cbuf,
	_Stdin._Back + sizeof (_Stdin._Back),
	_Stdin._WBack + sizeof (_Stdin._WBack) / sizeof (wchar_t)
	};

FILE _Stdout = {	/* standard output */
        /* IAR want stdout to be line buffered. */
	_MOPENW | _MLBF, 1, 1,
#if _DLIB_STDOUT_USES_STATIC_BUFFER
	obuf, obuf + sizeof (obuf), obuf,
	obuf, obuf,
#else 
	&_Stdout._Cbuf, &_Stdout._Cbuf + 1, &_Stdout._Cbuf,
	&_Stdout._Cbuf, &_Stdout._Cbuf,
#endif /* _DLIB_STDOUT_USES_STATIC_BUFFER */
	_Stdout._Back + sizeof (_Stdout._Back),
	_Stdout._WBack + sizeof (_Stdout._WBack) / sizeof (wchar_t)
	};

FILE _Stderr = {	/* standard error */
	_MOPENW | _MNBF, 2, 2,
	ebuf, ebuf + sizeof (ebuf), ebuf,
	ebuf, ebuf,
	_Stderr._Back + sizeof (_Stderr._Back),
	_Stderr._WBack + sizeof (_Stderr._WBack) / sizeof (wchar_t)
	};

/* the array of stream pointers */
FILE *_Files[FOPEN_MAX] = {&_Stdin, &_Stdout, &_Stderr};

#endif /* _DLIB_FILE_DESCRIPTOR */

char _PJP_C_Copyright[] =
	"Copyright (c) 1992-2002 by P.J. Plauger,"
	" licensed by Dinkumware, Ltd."
	" ALL RIGHTS RESERVED.";
_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
