/* _Fofind function */
#include <stdlib.h>
#include "xstdio.h"

#if _DLIB_FILE_DESCRIPTOR

_STD_BEGIN

FILE *_Fofind(void)
	{	/* find an available FILE */
	FILE *str = 0;
	size_t i;

	for (i = 0; i < FOPEN_MAX; ++i)
		if (_Files[i] == 0)
			{	/* setup empty _Files[i] */
			str = (FILE *)malloc(sizeof (FILE));
			if (str == 0)
				break;
			_Files[i] = str;
			str->_Mode = _MALFIL;
			str->_Lockno = i;
			break;
			}
		else if (_Files[i]->_Mode == 0)
			{	/* setup preallocated _Files[i] */
			str = _Files[i];
			str->_Mode = ~_MALFIL;
			break;
			}
	return (str);
	}
_STD_END

#endif /* _DLIB_FILE_DESCRIPTOR */

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
