/* _Puttxt function */
#include "xstdio.h"
_STD_BEGIN

/* return 1 on success and 0 on failure. */
#define put(px, n, s) (_Putchars((px), (s), (n)) == 0)

/* return 1 on success and 0 on failure. */
static int pad(_Pft * px, int n, char padChar)
{
  int j;

  for (j = 0; j < n; ++j)
  {
    if (!put(px, 1, &padChar))
    {
      return 0;
    }
  }
  return 1;
}


int _Puttxt(_Pft * px, char const * ac)
{
       /* print generated text plus padding */
#if _DLIB_PRINTF_WIDTH_AND_PRECISION
  int width = px->width - px->n0
#if _PRINTF_INTERNAL_HAS_NZ0
    - px->nz0
#endif

    - px->n1

#if _PRINTF_INTERNAL_HAS_NZ1
    - px->nz1
#endif

#if _PRINTF_INTERNAL_HAS_N2
    - px->n2
#endif

#if _PRINTF_INTERNAL_HAS_NZ2
    - px->nz2
#endif
    ;
#endif /* _DLIB_PRINTF_WIDTH_AND_PRECISION */

#if _DLIB_PRINTF_FLAGS && _DLIB_PRINTF_WIDTH_AND_PRECISION
  if (!(px->flags & _FMI))
  {
    if (!pad(px, width, ' '))
    {
      return EOF;
    }
  }
#endif

  if (   put(px, px->n0, ac)
#if _PRINTF_INTERNAL_HAS_NZ0
      && pad(px, px->nz0, '0')
#endif

      && put(px, px->n1, px->s)

#if _PRINTF_INTERNAL_HAS_NZ1
      && pad(px, px->nz1, '0')
#endif

#if _PRINTF_INTERNAL_HAS_N2
      && put(px, px->n2, px->s + px->n1)
#endif

#if _PRINTF_INTERNAL_HAS_NZ2
      && pad(px, px->nz2, '0')
#endif
    )
  {
#if _DLIB_PRINTF_FLAGS && _DLIB_PRINTF_WIDTH_AND_PRECISION
    if (px->flags & _FMI)
    {
      if (!pad(px, width, ' '))
      {
        return EOF;
      }
    }
#endif

    return 0;
  }
  return EOF;
}

_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
 V3.12:0576 */
