/* _Wctomb - Wide to multibyte characters. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include <yvals.h>


#if _DLIB_FULL_LOCALE_SUPPORT

#include <locale.h>

#include <xwchar.h>
#include <xlocale.h>
#include <xencoding.h>

int _Wctomb(char * c, wchar_t wc, _Mbstatet * st)
{
  switch (_LocaleEncoding())
  {
  default:
  case _EncodingSb_Id:
    return _EncodingSb_Wctomb(c, wc, st);

#ifdef _ENCODING_USE_UTF8
  case _EncodingUtf8_Id:
    return _EncodingUtf8_Wctomb(pwc, s, nin, pst);
#endif
  }
}

#endif /* _DLIB_FULL_LOCALE_SUPPORT */
