/**************************************************
 *
 * Memory-specific functions.
 *
 * Copyright 1998-2004 IAR Systems. All rights reserved.
 *
 * $Revision: 1.3 $
 *
 **************************************************/

#ifndef _XXMEMXFUNCS_H
#define _XXMEMXFUNCS_H

#ifndef _SYSTEM_BUILD
  #pragma system_include
#endif

#include <stdlib.h>

#pragma language=save
#pragma language=extended

_C_LIB_DECL
#define __HEAP_MEM_HELPER1__(M, I)                                          \
__INTRINSIC void M##_memzero(void M *, M##_size_t);                         \
__INTRINSIC void M * M##_memcpy (void M *, void M const *, M##_size_t);     \
__INTRINSIC void M * M##_memmove(void M *, void M const *, M##_size_t);
__HEAP_MEMORY_LIST1__()
#undef __HEAP_MEM_HELPER1__
_END_C_LIB_DECL

#pragma language=restore

#endif /* _XXMEMXFUNCS_H */
